io.undertow.client

## Interface UndertowClientMessages

All Known Implementing Classes:
  UndertowClientMessages_$bundle

    @MessageBundle(projectCode="UT")
    public interface UndertowClientMessages

starting from 1000

Author:
  Emanuel Muckenhuber

### Field Summary

Fields
`static UndertowClientMessages` `MESSAGES`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `connectionClosed()`
`IOException` `dataStillRemainingInChunk(long remaining)`
`String` `failedToUpgradeChannel(int responseCode, String reason)`
`IllegalArgumentException` `illegalContentLength(long length)`
`IOException` `invalidConnectionState()`
`IOException` `receivedInvalidChunk(byte prefix)`
`IllegalStateException` `requestAlreadyWritten()`
`IOException` `unknownAjpMessageType(byte packetType)`
`IOException` `unknownMethod(HttpString method)`
`IllegalArgumentException` `unknownScheme(URI uri)`
`IOException` `unknownTransferEncoding(String transferEncodingString)`
`IOException` `wrongMagicNumber(String expected, String actual)`

### Field Detail

#### MESSAGES

    static final UndertowClientMessages MESSAGES

### Method Detail

#### connectionClosed

    @Message(id=1000,
             value="Connection closed")
    String connectionClosed()

#### requestAlreadyWritten

    @Message(id=1001,
             value="Request already written")
    IllegalStateException requestAlreadyWritten()

#### failedToUpgradeChannel

    @Message(id=1020,
             value="Failed to upgrade channel due to response %s (%s)")
    String failedToUpgradeChannel(int responseCode,
                                                                                                                        String reason)

#### illegalContentLength

    @Message(id=1030,
             value="invalid content length %d")
    IllegalArgumentException illegalContentLength(long length)

#### unknownScheme

    @Message(id=1031,
             value="Unknown scheme in URI %s")
    IllegalArgumentException unknownScheme(URI uri)

#### unknownTransferEncoding

    @Message(id=1032,
             value="Unknown transfer encoding %s")
    IOException unknownTransferEncoding(String transferEncodingString)

#### invalidConnectionState

    @Message(id=1033,
             value="Invalid connection state")
    IOException invalidConnectionState()

#### unknownAjpMessageType

    @Message(id=1034,
             value="Unknown AJP packet type %s")
    IOException unknownAjpMessageType(byte packetType)

#### unknownMethod

    @Message(id=1035,
             value="Unknown method type for AJP request %s")
    IOException unknownMethod(HttpString method)

#### dataStillRemainingInChunk

    @Message(id=1036,
             value="Data still remaining in chunk %s")
    IOException dataStillRemainingInChunk(long remaining)

#### wrongMagicNumber

    @Message(id=1037,
             value="Wrong magic number, expected %s, actual %s")
    IOException wrongMagicNumber(String expected,
                                                                                                                String actual)

#### receivedInvalidChunk

    @Message(id=1038,
             value="Received invalid AJP chunk %s with response already complete")
    IOException receivedInvalidChunk(byte prefix)